io.vertx.ext.auth.jdbc

## Interface JDBCAuth

- All Superinterfaces:
    AuthProvider

      public interface JDBCAuth
      extends AuthProvider

  Factory interface for creating `AuthProvider` instances that use the Vert.x JDBC client
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_AUTHENTICATE_QUERY` The default query to be used for authentication
    `static String` | `DEFAULT_PERMISSIONS_QUERY` The default query to retrieve all permissions for the role
    `static String` | `DEFAULT_ROLE_PREFIX` The default role prefix
    `static String` | `DEFAULT_ROLES_QUERY` The default query to retrieve all roles for the user

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JDBCAuth` | `create(JDBCClient client)` Create a JDBC auth provider implementation
    `JDBCAuth` | `setAuthenticationQuery(String authenticationQuery)` Set the authentication query to use.
    `JDBCAuth` | `setHashStrategy(JDBCHashStrategy strategy)` Set the hash strategy to use.
    `JDBCAuth` | `setPermissionsQuery(String permissionsQuery)` Set the permissions query to use.
    `JDBCAuth` | `setRolePrefix(String rolePrefix)` Set the role prefix to distinguish from permissions when checking for isPermitted requests.
    `JDBCAuth` | `setRolesQuery(String rolesQuery)` Set the roles query to use.

    - ### Methods inherited from interface io.vertx.ext.auth.AuthProvider

      `authenticate`

- - ### Field Detail

    - #### DEFAULT_AUTHENTICATE_QUERY

          static final String DEFAULT_AUTHENTICATE_QUERY

      The default query to be used for authentication
      See Also:
        Constant Field Values

    - #### DEFAULT_ROLES_QUERY

          static final String DEFAULT_ROLES_QUERY

      The default query to retrieve all roles for the user
      See Also:
        Constant Field Values

    - #### DEFAULT_PERMISSIONS_QUERY

          static final String DEFAULT_PERMISSIONS_QUERY

      The default query to retrieve all permissions for the role
      See Also:
        Constant Field Values

    - #### DEFAULT_ROLE_PREFIX

          static final String DEFAULT_ROLE_PREFIX

      The default role prefix
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static JDBCAuth create(JDBCClient client)

      Create a JDBC auth provider implementation
      Parameters:
        `client` - the JDBC client instance
      Returns:
        the auth provider

    - #### setAuthenticationQuery

          JDBCAuth setAuthenticationQuery(String authenticationQuery)

      Set the authentication query to use. Use this if you want to override the default authentication query.
      Parameters:
        `authenticationQuery` - the authentication query
      Returns:
        a reference to this for fluency

    - #### setRolesQuery

          JDBCAuth setRolesQuery(String rolesQuery)

      Set the roles query to use. Use this if you want to override the default roles query.
      Parameters:
        `rolesQuery` - the roles query
      Returns:
        a reference to this for fluency

    - #### setPermissionsQuery

          JDBCAuth setPermissionsQuery(String permissionsQuery)

      Set the permissions query to use. Use this if you want to override the default permissions query.
      Parameters:
        `permissionsQuery` - the permissions query
      Returns:
        a reference to this for fluency

    - #### setRolePrefix

          JDBCAuth setRolePrefix(String rolePrefix)

      Set the role prefix to distinguish from permissions when checking for isPermitted requests.
      Parameters:
        `rolePrefix` - a Prefix e.g.: "role:"
      Returns:
        a reference to this for fluency

    - #### setHashStrategy

          JDBCAuth setHashStrategy(JDBCHashStrategy strategy)

      Set the hash strategy to use. Use this if you want override the default hash strategy
      Parameters:
        `strategy` - the strategy
      Returns:
        a reference to this for fluency

Copyright © 2015. All Rights Reserved.